# PHTTPSubForm Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPSubForm:

List of all members.

## Public Member Functions

| PHTTPSubForm (const PString &subFormName, const char *name, const char *title=NULL, PINDEX primaryField=0, PINDEX secondaryField=P_MAX_INDEX)
PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
void | GetHTMLHeading (PHTML &html) const
| Convert the field to HTML for inclusion into the HTTP page.

## Protected Attributes

PString | subFormName
PINDEX | primary
PINDEX | secondary

## Constructor & Destructor Documentation

PHTTPSubForm::PHTTPSubForm | ( | const PString & | subFormName,
|  | const char * | name,
|  | const char * | title = `NULL`,
|  | PINDEX | primaryField = `0`,
|  | PINDEX | secondaryField = `P_MAX_INDEX` |
| ) |  |  |

## Member Function Documentation

void PHTTPSubForm::GetHTMLHeading | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML for inclusion into the HTTP page.

Reimplemented from PHTTPCompositeField.

void PHTTPSubForm::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Reimplemented from PHTTPCompositeField.

PHTTPField* PHTTPSubForm::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Reimplemented from PHTTPCompositeField.

## Member Data Documentation

PINDEX PHTTPSubForm::primary `[protected]`

PINDEX PHTTPSubForm::secondary `[protected]`

PString PHTTPSubForm::subFormName `[protected]`

The documentation for this class was generated from the following file:

- httpform.h